picard.metrics

## Class SAMRecordAndReferenceMultiLevelCollector<BEAN extends htsjdk.samtools.metrics.MetricBase,HKEY extends Comparable>

- java.lang.Object
- - picard.metrics.MultiLevelCollector<BEAN,HKEY,SAMRecordAndReference>
  - - picard.metrics.SAMRecordAndReferenceMultiLevelCollector<BEAN,HKEY>

- Direct Known Subclasses:
    AlignmentSummaryMetricsCollector, RrbsMetricsCollector

      public abstract class SAMRecordAndReferenceMultiLevelCollector<BEAN extends htsjdk.samtools.metrics.MetricBase,HKEY extends Comparable>
      extends MultiLevelCollector<BEAN,HKEY,SAMRecordAndReference>

- - ### Field Summary

    - ### Fields inherited from class picard.metrics.MultiLevelCollector

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMRecordAndReferenceMultiLevelCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SAMRecordAndReference` | `makeArg(htsjdk.samtools.SAMRecord samRec, htsjdk.samtools.reference.ReferenceSequence refSeq)`

    - ### Methods inherited from class picard.metrics.MultiLevelCollector

      `acceptRecord, addAllLevelsToFile, finish, getAllReadsCollector, makeAllReadCollector, makeChildCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMRecordAndReferenceMultiLevelCollector

          public SAMRecordAndReferenceMultiLevelCollector()

  - ### Method Detail

    - #### makeArg

          protected SAMRecordAndReference makeArg(htsjdk.samtools.SAMRecord samRec,
                                                  htsjdk.samtools.reference.ReferenceSequence refSeq)

      Specified by:
        `makeArg` in class `MultiLevelCollector<BEAN extends htsjdk.samtools.metrics.MetricBase,HKEY extends Comparable,SAMRecordAndReference>`